Bug 1275064 - [abrt] easytag: write_button_clicked(): easytag killed by SIGABRT
[abrt] easytag: write_button_clicked(): easytag killed by SIGABRT
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: easytag (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David King
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:19e74ce578bb4fb74dabe0777de...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-25 09:59 EDT by David A. Vavra
Modified: 2015-12-16 04:00 EST (History)
2 users (show)

See Also:
Fixed In Version: easytag-2.4.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-16 04:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.20 KB, text/plain)
2015-10-25 09:59 EDT, David A. Vavra
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-25 09:59 EDT, David A. Vavra
no flags Details
File: core_backtrace (7.65 KB, text/plain)
2015-10-25 09:59 EDT, David A. Vavra
no flags Details
File: dso_list (10.21 KB, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details
File: environ (3.76 KB, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details
File: maps (53.70 KB, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details
File: mountinfo (3.58 KB, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details
File: open_fds (1.79 KB, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details
File: proc_pid_status (984 bytes, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details
File: var_log_messages (302 bytes, text/plain)
2015-10-25 10:00 EDT, David A. Vavra
no flags Details

  None (edit)
Description David A. Vavra 2015-10-25 09:59:52 EDT
Description of problem:
Tried to produce a playlist from the playlist dialog
The following error messages were produced but the WARNINGS and CRITICAL messages were produced at startup

(easytag:19918): GLib-GObject-WARNING **: The property GtkWidget:margin-left is deprecated and shouldn't be used anymore. It will be removed in a future version.

(easytag:19918): GLib-GObject-WARNING **: The property GtkWidget:margin-right is deprecated and shouldn't be used anymore. It will be removed in a future version.

(easytag:19918): GLib-GIO-CRITICAL **: g_settings_get_flags() called on key 'rename-convert-spaces' which is not associated with a flags type
**
ERROR:src/playlist_dialog.c:482:write_button_clicked: code should not be reached


Version-Release number of selected component:
easytag-2.4.0-1.fc22

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        easytag
crash_function: write_button_clicked
executable:     /usr/bin/easytag
global_pid:     23968
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 write_button_clicked at src/playlist_dialog.c:482
 #5 on_response at src/playlist_dialog.c:582
 #6 g_cclosure_marshal_VOID__ENUMv at gmarshal.c:1496
 #7 _g_closure_invoke_va at gclosure.c:831
 #13 gtk_button_do_release at gtkbutton.c:1899
 #14 gtk_real_button_released at gtkbutton.c:2017
 #15 _g_closure_invoke_va at gclosure.c:831
 #18 multipress_released_cb at gtkbutton.c:613
 #19 ffi_call_unix64 at ../src/x86/unix64.S:76
 #20 ffi_call at ../src/x86/ffi64.c:525
Comment 1 David A. Vavra 2015-10-25 09:59:57 EDT
Created attachment 1086220 [details]
File: backtrace
Comment 2 David A. Vavra 2015-10-25 09:59:58 EDT
Created attachment 1086221 [details]
File: cgroup
Comment 3 David A. Vavra 2015-10-25 09:59:59 EDT
Created attachment 1086222 [details]
File: core_backtrace
Comment 4 David A. Vavra 2015-10-25 10:00:00 EDT
Created attachment 1086223 [details]
File: dso_list
Comment 5 David A. Vavra 2015-10-25 10:00:01 EDT
Created attachment 1086224 [details]
File: environ
Comment 6 David A. Vavra 2015-10-25 10:00:02 EDT
Created attachment 1086225 [details]
File: limits
Comment 7 David A. Vavra 2015-10-25 10:00:04 EDT
Created attachment 1086226 [details]
File: maps
Comment 8 David A. Vavra 2015-10-25 10:00:05 EDT
Created attachment 1086227 [details]
File: mountinfo
Comment 9 David A. Vavra 2015-10-25 10:00:06 EDT
Created attachment 1086228 [details]
File: namespaces
Comment 10 David A. Vavra 2015-10-25 10:00:07 EDT
Created attachment 1086229 [details]
File: open_fds
Comment 11 David A. Vavra 2015-10-25 10:00:08 EDT
Created attachment 1086230 [details]
File: proc_pid_status
Comment 12 David A. Vavra 2015-10-25 10:00:09 EDT
Created attachment 1086231 [details]
File: var_log_messages
Comment 13 David A. Vavra 2015-10-25 10:33:31 EDT
FWIW: I did get to generate a playlist but changed to using the directory name for the playlist name.
Comment 14 Fedora Update System 2015-10-30 10:02:49 EDT
easytag-2.4.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-93a9e01a22
Comment 15 Fedora Update System 2015-11-01 01:56:53 EST
easytag-2.4.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update easytag'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-93a9e01a22
Comment 16 Fedora Update System 2015-11-11 16:49:51 EST
easytag-2.4.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5c8df3ee4c
Comment 17 Fedora Update System 2015-11-12 00:22:48 EST
easytag-2.4.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-11-12 23:24:08 EST
easytag-2.4.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update easytag'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5c8df3ee4c
Comment 19 Fedora Update System 2015-11-24 17:24:34 EST
easytag-2.4.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.